Bug 214650 - games/gtkradiant: fails to build with libc++ 3.9
Summary: games/gtkradiant: fails to build with libc++ 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL: https://github.com/llvm-mirror/libcxx...
Keywords: easy, needs-patch
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-11-19 01:24 UTC by Jan Beich
Modified: 2016-11-25 14:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-19 01:24:28 UTC
plugins/vfspk3/vfs.cpp:354:15: error: cannot initialize a variable of type 'char *' with an rvalue of type 'const char *'
        char *ext = strrchr (name, '.');
              ^     ~~~~~~~~~~~~~~~~~~~

http://package18.nyi.freebsd.org/data/headi386PR212343-default/2016-09-11_07h04m19s/logs/errors/gtkradiant-1.5.0_14.log
http://package18.nyi.freebsd.org/data/headamd64PR212343-default/2016-09-13_07h18m01s/logs/errors/gtkradiant-1.5.0_14.log
Comment 1 Dmitry Marakasov freebsd_committer 2016-11-25 14:27:28 UTC
Sorry, I could not resist to fix it, and the fix is trivial.
Comment 2 commit-hook freebsd_committer 2016-11-25 14:27:53 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Nov 25 14:27:37 UTC 2016
New revision: 427115
URL: https://svnweb.freebsd.org/changeset/ports/427115

Log:
  - Fix build with clang 3.9

  PR:		214650
  Approved by:	portmgr blanket

Changes:
  head/games/gtkradiant/files/patch-plugins_vfspk3_vfs.cpp
  head/games/gtkradiant/files/patch-radiant_eclass__def.cpp